Subject: Re: [PATCH] Documentation: merging a tag is a special case

From: Jonathan Nieder <[email-masked]>
Date: Thu, 21 Mar 2013 12:56:24 -0700

Junio C Hamano wrote:

> +Consequently a request `git merge --ff-only v1.2.3` to merge such a
> +tag would fail.
> +
> +When you want to just integrate with the work leading to the commit
> +that happens to be tagged, e.g. synchronizing with an upstream
> +release point, you may not want to make an unnecessary merge commit
> +especially when you do not have any work on your own.  In such a
> +case, you can "unwrap" the tag yourself before feeding it to `git
> +merge`, e.g.
> +
> +---
> +git fetch origin
> +git merge [--ff-only] v1.2.3^0
> +---

Nice and clear, but doesn't this contradict b5c9f1c1b0ed (merge: do
not create a signed tag merge under --ff-only option, 2012-02-05)?